| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bmedian.cpp File Reference

Program to filter images. More...

`#include "rwimg.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Program to filter images.

Author
  Bernard Heymann

Date
  Created: 20010414
  Modified: 20110804

Definition in file bmedian.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 37 of file bmedian.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bmedian [options] input.img output.img",
"---------------------------------------------",
"Filters images.",
" ",
"Actions:",
"-rescale -0.1,5.2 Rescale data to average and standard deviation after filtering.",
" ",
"Parameters:",
"-verbose 1 Verbosity of output.",
"-datatype u Force writing of a new data type.",
"-sampling 1.5,1.5,1.5 Sampling (A/pixel; default from input file; a single value can be given).",
"-kernel 5 Median filter kernel edge size (default 3).",
"-iterations 5 Number of iterations (default 1).",
" ",
NULL
}

Definition at line 18 of file bmedian.cpp.

## ◆ verbose

int verbose